
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "A Perl port of Webmachine",
  "AUTHOR" => "Stevan Little <stevan.little\@iinteractive.com>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Web-Machine",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Web::Machine",
  "PREREQ_PM" => {
    "B" => 0,
    "Carp" => 0,
    "Data::Dumper" => 0,
    "Encode" => 0,
    "HTTP::Headers::ActionPack" => "0.07",
    "HTTP::Status" => 0,
    "Hash::MultiValue" => 0,
    "IO::Handle::Util" => 0,
    "List::Util" => 0,
    "Locale::Maketext" => 0,
    "Module::Runtime" => 0,
    "Plack::Component" => 0,
    "Plack::Request" => 0,
    "Plack::Response" => 0,
    "Plack::Util" => 0,
    "Scalar::Util" => 0,
    "Sub::Exporter" => 0,
    "Try::Tiny" => 0,
    "parent" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "FindBin" => 0,
    "HTTP::Message::PSGI" => 0,
    "HTTP::Request" => 0,
    "HTTP::Request::Common" => 0,
    "HTTP::Response" => 0,
    "MIME::Base64" => 0,
    "Net::HTTP" => 0,
    "Plack::Runner" => 0,
    "Plack::Test" => 0,
    "Test::FailWarnings" => 0,
    "Test::Fatal" => "0.003",
    "Test::More" => "0.88",
    "base" => 0,
    "lib" => 0,
    "utf8" => 0
  },
  "VERSION" => "0.13",
  "test" => {
    "TESTS" => "t/*.t t/600-yapc-talk-examples/*.t"
  }
);


my %FallbackPrereqs = (
  "B" => 0,
  "Carp" => 0,
  "Data::Dumper" => 0,
  "Encode" => 0,
  "FindBin" => 0,
  "HTTP::Headers::ActionPack" => "0.07",
  "HTTP::Message::PSGI" => 0,
  "HTTP::Request" => 0,
  "HTTP::Request::Common" => 0,
  "HTTP::Response" => 0,
  "HTTP::Status" => 0,
  "Hash::MultiValue" => 0,
  "IO::Handle::Util" => 0,
  "List::Util" => 0,
  "Locale::Maketext" => 0,
  "MIME::Base64" => 0,
  "Module::Runtime" => 0,
  "Net::HTTP" => 0,
  "Plack::Component" => 0,
  "Plack::Request" => 0,
  "Plack::Response" => 0,
  "Plack::Runner" => 0,
  "Plack::Test" => 0,
  "Plack::Util" => 0,
  "Scalar::Util" => 0,
  "Sub::Exporter" => 0,
  "Test::FailWarnings" => 0,
  "Test::Fatal" => "0.003",
  "Test::More" => "0.88",
  "Try::Tiny" => 0,
  "base" => 0,
  "lib" => 0,
  "parent" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



